Request body
customerobjectRequiredShow 7 child attributesHide child attributes
emailstringExample:jane.doe@example.comfirst_namestringExample:Janelast_namestringExample:DoephonestringExample:+1 555 010 0199tax_numberstringeori_numberstringtagsstringExample:wholesale, vip
Returns
The customer object.
Errors
401
Missing or invalid API key.
403
The store is not on a paid plan. API access requires a paid Invoice Falcon plan.
422
Request could not be processed.
429
Rate limit exceeded. Check X-RateLimit-Reset header.
POST/customers
curl -X POST "https://app.invoicefalcon.com/api/v1/external/customers" \
-H "X-Auth-Token: $INVOICE_FALCON_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"customer": {
"email": "jane.doe@example.com",
"first_name": "Jane",
"last_name": "Doe",
"phone": "+1 555 010 0199",
"tags": "wholesale, vip"
}
}'const res = await fetch("https://app.invoicefalcon.com/api/v1/external/customers", {
method: "POST",
headers: {
"X-Auth-Token": process.env.INVOICE_FALCON_API_KEY,
"Content-Type": "application/json",
},
body: JSON.stringify({
"customer": {
"email": "jane.doe@example.com",
"first_name": "Jane",
"last_name": "Doe",
"phone": "+1 555 010 0199",
"tags": "wholesale, vip"
}
}),
});
const data = await res.json();import os
import requests
res = requests.post(
"https://app.invoicefalcon.com/api/v1/external/customers",
headers={"X-Auth-Token": os.environ["INVOICE_FALCON_API_KEY"]},
json={
"customer": {
"email": "jane.doe@example.com",
"first_name": "Jane",
"last_name": "Doe",
"phone": "+1 555 010 0199",
"tags": "wholesale, vip"
}
},
)
data = res.json()require "net/http"
require "json"
uri = URI("https://app.invoicefalcon.com/api/v1/external/customers")
req = Net::HTTP::Post.new(uri, "X-Auth-Token" => ENV["INVOICE_FALCON_API_KEY"], "Content-Type" => "application/json")
req.body = {
customer: {
email: "jane.doe@example.com",
first_name: "Jane",
last_name: "Doe",
phone: "+1 555 010 0199",
tags: "wholesale, vip"
}
}.to_json
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)POST/customers
curl -X POST "https://app.invoicefalcon.com/api/v1/external/customers" \
-H "X-Auth-Token: $INVOICE_FALCON_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"customer": {
"email": "sam.rivera@example.com"
}
}'const res = await fetch("https://app.invoicefalcon.com/api/v1/external/customers", {
method: "POST",
headers: {
"X-Auth-Token": process.env.INVOICE_FALCON_API_KEY,
"Content-Type": "application/json",
},
body: JSON.stringify({
"customer": {
"email": "sam.rivera@example.com"
}
}),
});
const data = await res.json();import os
import requests
res = requests.post(
"https://app.invoicefalcon.com/api/v1/external/customers",
headers={"X-Auth-Token": os.environ["INVOICE_FALCON_API_KEY"]},
json={
"customer": {
"email": "sam.rivera@example.com"
}
},
)
data = res.json()require "net/http"
require "json"
uri = URI("https://app.invoicefalcon.com/api/v1/external/customers")
req = Net::HTTP::Post.new(uri, "X-Auth-Token" => ENV["INVOICE_FALCON_API_KEY"], "Content-Type" => "application/json")
req.body = {
customer: {
email: "sam.rivera@example.com"
}
}.to_json
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)POST/customers
curl -X POST "https://app.invoicefalcon.com/api/v1/external/customers" \
-H "X-Auth-Token: $INVOICE_FALCON_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"customer": {
"email": "accounts@northwind.example",
"first_name": "Northwind",
"last_name": "Traders",
"tax_number": "GB123456789",
"eori_number": "GB123456789000"
}
}'const res = await fetch("https://app.invoicefalcon.com/api/v1/external/customers", {
method: "POST",
headers: {
"X-Auth-Token": process.env.INVOICE_FALCON_API_KEY,
"Content-Type": "application/json",
},
body: JSON.stringify({
"customer": {
"email": "accounts@northwind.example",
"first_name": "Northwind",
"last_name": "Traders",
"tax_number": "GB123456789",
"eori_number": "GB123456789000"
}
}),
});
const data = await res.json();import os
import requests
res = requests.post(
"https://app.invoicefalcon.com/api/v1/external/customers",
headers={"X-Auth-Token": os.environ["INVOICE_FALCON_API_KEY"]},
json={
"customer": {
"email": "accounts@northwind.example",
"first_name": "Northwind",
"last_name": "Traders",
"tax_number": "GB123456789",
"eori_number": "GB123456789000"
}
},
)
data = res.json()require "net/http"
require "json"
uri = URI("https://app.invoicefalcon.com/api/v1/external/customers")
req = Net::HTTP::Post.new(uri, "X-Auth-Token" => ENV["INVOICE_FALCON_API_KEY"], "Content-Type" => "application/json")
req.body = {
customer: {
email: "accounts@northwind.example",
first_name: "Northwind",
last_name: "Traders",
tax_number: "GB123456789",
eori_number: "GB123456789000"
}
}.to_json
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)Response
{
"customer": {
"id": 9203,
"email": "sam.rivera@example.com",
"first_name": "Sam",
"last_name": "Rivera",
"phone": null,
"tax_number": null,
"eori_number": null,
"tags": "",
"shopify_customer_id": 7001234999,
"created_at": "2025-10-02T11:20:00Z",
"updated_at": "2025-10-02T11:20:00Z"
}
}{
"error": "Invalid API key"
}{
"error": "REST API access requires a paid plan"
}{
"error": "param is missing or the value is empty: customer",
"errors": {}
}{
"error": "Rate limit exceeded",
"retry_after": 30,
"message": "You have exceeded the rate limit of 40 points per 60 seconds. Read requests cost 1 point(s) and write requests cost 2 point(s). Please retry after 30 second(s)."
}